#!/bin/bash

# path
DIR=`dirname "$0"`
ROOT=`readlink -f "$DIR"`
LINUX="$ROOT/Contents/Linux"
RESOURCES="$ROOT/Contents/Resources"

# icon (note: gvfs-set-attribute is found in gvfs-bin on Ubuntu
# systems and it seems to require an absolute filename)
gvfs-set-attribute \
	"$0" \
	"metadata::custom-icon" \
	"file://$RESOURCES/Pharo.png" \
		2> /dev/null

image="$RESOURCES/tODE_0.0.3-p1.4.image"

# execute
exec "$LINUX/pharo" \
	-plugins "$LINUX" \
	-encoding latin1 \
	-vm-display-X11 \
	"$image"
